Bug 1732260 (CVE-2019-12220)

Summary: CVE-2019-12220 SDL: out-of-bounds read in function SDL_FreePalette_REAL in video/SDL_pixels.c
Product: [Other] Security Response Reporter: Dhananjay Arunesh <darunesh>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: dingyichen, erik-fedora, igor.raits, klember, maci, ppisar, tcallawa, wtaymans
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-09-20 18:45:44 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1732261, 1752625, 1752626, 1752627, 1752628    
Bug Blocks: 1732266    

Description Dhananjay Arunesh 2019-07-23 05:44:10 UTC
An issue was discovered in libSDL2.a in Simple DirectMedia Layer (SDL) 2.0.9 when used in conjunction with libSDL2_image.a in SDL2_image 2.0.4. There is an out-of-bounds read in the SDL function SDL_FreePalette_REAL at video/SDL_pixels.c.

Reference:
https://bugzilla.libsdl.org/show_bug.cgi?id=4627

Comment 1 Dhananjay Arunesh 2019-07-23 05:44:24 UTC
Created SDL tracking bugs for this issue:

Affects: fedora-all [bug 1732261]

Comment 2 Dhananjay Arunesh 2019-09-16 18:25:36 UTC
Created SDL2 tracking bugs for this issue:

Affects: epel-7 [bug 1752627]
Affects: fedora-all [bug 1752625]


Created mingw-SDL2 tracking bugs for this issue:

Affects: epel-7 [bug 1752628]
Affects: fedora-all [bug 1752626]

Comment 3 Riccardo Schirone 2019-09-20 13:58:46 UTC
Upstream patch:
https://hg.libsdl.org/SDL_image/rev/e7e9786a1a34

this is the same patch as CVE-2019-12222.

Comment 4 Riccardo Schirone 2019-09-20 13:59:53 UTC
Statement:

This issue did not affect the versions of SDL as shipped with Red Hat Enterprise Linux 5, 6, 7, and 8 as they did not include SDL2_Image add-on.

Comment 5 Product Security DevOps Team 2019-09-20 18:45:44 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-12220